Debian Bug report logs - #667526
hdf5: apt does not find an upgrade path from squeeze

version graph

Package: src:hdf5; Maintainer for src:hdf5 is Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>;

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Wed, 4 Apr 2012 17:36:02 UTC

Severity: important

Tags: help, patch

Merged with 667599

Fixed in version hdf5/1.8.8-9.1

Done: Andreas Beckmann <anbe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>:
Bug#667526; Package simgear-dev. (Wed, 04 Apr 2012 17:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
New Bug report received and forwarded. Copy sent to Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>. (Wed, 04 Apr 2012 17:36:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: simgear-dev: fails to upgrade from squeeze - apt does not find an upgrade path
Date: Wed, 04 Apr 2012 19:32:52 +0200
[Message part 1 (text/plain, inline)]
Package: simgear-dev
Version: 2.4.0-1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'squeeze'.
It installed fine in 'squeeze', then the upgrade to 'wheezy' fails.

>From the attached log (scroll to the bottom...):

1m12.8s DEBUG: Starting command: ['chroot', '/tmp/piupartss/tmpG5GLce', 'apt-get', '-yf', 'dist-upgrade']
2m20.6s DUMP: 
  Reading package lists...
  Building dependency tree...
  Reading state information...
  The following packages will be REMOVED:
    libsdl1.2debian-alsa
  The following NEW packages will be installed:
[...]
  The following packages have been kept back:
    libopenscenegraph-dev simgear-dev

That should not have happened.

The upgrade scenario is
* create minimal squeeze chroot without Recommends
* install simgear-dev
* distupgrade to testing
 

cheers,

Andreas
[simgear-dev_2.4.0-1.1.log.gz (application/x-gzip, attachment)]

Message sent on to Andreas Beckmann <debian@abeckmann.de>:
Bug#667526. (Sat, 19 May 2012 23:09:03 GMT) Full text and rfc822 format available.

Message #8 received at 667526-submitter@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 667526-submitter@bugs.debian.org
Cc: openscenegraph@packages.debian.org
Subject: Re: Bug#667526: simgear-dev: fails to upgrade from squeeze - apt does not find an upgrade path
Date: Sun, 20 May 2012 00:07:10 +0100
[Message part 1 (text/plain, inline)]
On Wed, Apr 04, 2012 at 07:32:52PM +0200, Andreas Beckmann wrote:
> during a test with piuparts I noticed your package fails to upgrade from
> 'squeeze'.
> It installed fine in 'squeeze', then the upgrade to 'wheezy' fails.
>
>>>From the attached log (scroll to the bottom...):
>
> 1m12.8s DEBUG: Starting command: ['chroot', '/tmp/piupartss/tmpG5GLce', 'apt-get', '-yf', 'dist-upgrade']
> 2m20.6s DUMP: 
>   Reading package lists...
>   Building dependency tree...
>   Reading state information...
>   The following packages will be REMOVED:
>     libsdl1.2debian-alsa
>   The following NEW packages will be installed:
> [...]
>   The following packages have been kept back:
>     libopenscenegraph-dev simgear-dev
[...]

libopenscenegraph-dev by itself seems to have the same problem, perhaps
due to some ongoing transition?

  0m0.0s INFO: Command line arguments: /usr/sbin/piuparts --no-eatmydata --tmpdir /tmp/piuparts -a -d squeeze -d wheezy --mirror http://ftp.ie.debian.org/debian libopenscenegraph-dev
  [...]
  14m11.8s DEBUG: Starting command: ['chroot', '/tmp/piuparts/tmpehbGqS', 'apt-get', '-yf', 'dist-upgrade']
  25m24.2s DUMP: 
    Reading package lists...
    Building dependency tree...
    Reading state information...
    The following packages will be REMOVED:
      defoma libgdal1-1.6.0 libhdf5-serial-1.8.4 libnetcdf6 libopenscenegraph-dev
      libopenscenegraph65 libpango1.0-common libsdl1.2debian-alsa

Full log attached; not sure why piuparts gives it a PASS when
dist-upgrade ends up removing it.

Cheers,

Matej
[libopenscenegraph-dev_3.0.1-3.log.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>:
Bug#667526; Package simgear-dev. (Fri, 25 May 2012 20:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>. (Fri, 25 May 2012 20:09:09 GMT) Full text and rfc822 format available.

Message #13 received at 667526@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: hdf5@packages.debian.org, Julien Cristau <jcristau@debian.org>, David Kalnischkies <kalnischkies+debian@gmail.com>
Cc: 667599@bugs.debian.org, 667526@bugs.debian.org
Subject: Re: dolfin-dev: fails to upgrade from squeeze - apt does not find an upgrade path
Date: Fri, 25 May 2012 21:06:46 +0100
On Mon, Apr 09, 2012 at 03:42:26PM +0200, Julien Cristau wrote:
> On Sat, Apr  7, 2012 at 03:10:19 +0200, David Kalnischkies wrote:
[...]
>> In bug #667599 we have a report from piuparts that APT is unable to
>> upgrade delfin-dev from squeeze to wheezy.
[...]
> libhdf5-openmpi-7 doesn't provide the 1.8.4 version right now, I think
> that got fixed a while back (it has Provides: libhdf5-1.8, which AFAIK
> is meaningless, but that shouldn't harm).  The conflicts/replaces could
> most likely be removed if there's no contents overlap.

This might also be causing Bug#667526 in simgear-dev.  Can you verify
whether the Conflicts/Replaces are really necessary?

Thanks,

Matej




Marked as found in versions simgear/2.4.0-1.3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Thu, 31 May 2012 17:36:06 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sun, 14 Oct 2012 09:36:05 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <debian@abeckmann.de>:
Bug acknowledged by developer. (Sun, 14 Oct 2012 09:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 667526-done@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 667526-done@bugs.debian.org
Subject: fixed
Date: Sun, 14 Oct 2012 10:33:23 +0100
[Message part 1 (text/plain, inline)]
Just re-tested this upgrade path and a squeeze install of simgear-dev
now finds a successful upgrade path to wheezy. Closing.

$ apt-cache policy simgear-dev
simgear-dev:
  Installed: 1.9.1-2+b2
  Candidate: 2.4.0-1.3

1120 upgraded, 808 newly installed, 57 to remove and 2 not upgraded.
Need to get 1,206 MB of archives.
After this operation, 918 MB of additional disk space will be used.


-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>:
Bug#667526; Package simgear-dev. (Sat, 03 Nov 2012 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <debian@abeckmann.de>:
Extra info received and forwarded to list. Copy sent to Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>. (Sat, 03 Nov 2012 13:09:03 GMT) Full text and rfc822 format available.

Message #25 received at 667526@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <debian@abeckmann.de>
To: Debian Bug Tracking System <667526@bugs.debian.org>
Subject: Re: simgear-dev: fails to upgrade from squeeze - apt does not find an upgrade path
Date: Sat, 03 Nov 2012 14:05:49 +0100
[Message part 1 (text/plain, inline)]
Followup-For: Bug #667526
Control: found -1 2.4.0-1.3

Hi,

I can still reproduce the problem. New piuparts logfile with
debug-problemresolver output attached.


Andreas
[simg.log.gz (application/x-gzip, attachment)]

Did not alter found versions and reopened. Request was from Andreas Beckmann <debian@abeckmann.de> to 667526-submit@bugs.debian.org. (Sat, 03 Nov 2012 13:09:03 GMT) Full text and rfc822 format available.

Marked as found in versions simgear/2.6.0-3. Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sat, 03 Nov 2012 13:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>:
Bug#667526; Package simgear-dev. (Sat, 24 Nov 2012 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Margarita Manterola <margamanterola.bugs@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian FlightGear Crew <pkg-fgfs-crew@lists.alioth.debian.org>. (Sat, 24 Nov 2012 14:00:03 GMT) Full text and rfc822 format available.

Message #34 received at 667526@bugs.debian.org (full text, mbox):

From: Margarita Manterola <margamanterola.bugs@gmail.com>
To: Andreas Beckmann <debian@abeckmann.de>, 667526@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#667526: simgear-dev: fails to upgrade from squeeze - apt does not find an upgrade path
Date: Sat, 24 Nov 2012 14:57:20 +0100
reassign 667526 src:hdf5
reassign 667599 src:hdf5
merge 667599 667526
thanks

Hi,

The reason for the failure is located in hdf5:

  Investigating (5) libhdf5-7 [ amd64 ] < none -> 1.8.8-9 > ( libs )
  Broken libhdf5-7:amd64 Conflicts on libhdf5-1.8 [ amd64 ] < none > ( none )
    Considering libhdf5-serial-1.8.4:amd64 4 as a solution to libhdf5-7:amd64 2
    Holding Back libhdf5-7:amd64 rather than change libhdf5-1.8:amd64

For this reason, I'm reassigning and duping with 667599, which has
more information about this failure.

-- 
Regards,
Marga



Bug reassigned from package 'simgear-dev' to 'src:hdf5'. Request was from Margarita Manterola <margamanterola.bugs@gmail.com> to control@bugs.debian.org. (Sat, 24 Nov 2012 14:00:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions simgear/2.6.0-3, simgear/2.4.0-1.1, and simgear/2.4.0-1.3. Request was from Margarita Manterola <margamanterola.bugs@gmail.com> to control@bugs.debian.org. (Sat, 24 Nov 2012 14:00:06 GMT) Full text and rfc822 format available.

Added indication that 667526 affects simgear-dev, dolfin-dev, and python-dolfin Request was from Margarita Manterola <margamanterola.bugs@gmail.com> to control@bugs.debian.org. (Sat, 24 Nov 2012 14:09:07 GMT) Full text and rfc822 format available.

Merged 667526 667599 Request was from Margarita Manterola <margamanterola.bugs@gmail.com> to control@bugs.debian.org. (Sat, 24 Nov 2012 14:09:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Andreas Beckmann <anbe@debian.org>' from 'Andreas Beckmann <debian@abeckmann.de>' Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 26 Jan 2013 06:29:48 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Mon, 28 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 28 Jan 2013 10:27:03 GMT) Full text and rfc822 format available.

Message #49 received at 667526@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 667599@bugs.debian.org, 667526@bugs.debian.org
Subject: hdf5 upgrade Squeeze-> Wheezy (#667599, #667526)
Date: Mon, 28 Jan 2013 11:17:32 +0100
Hi!

There are *two* problems with the upgrade of hdf5 from Squeeze to Wheezy
that are a consequence of the problem of the fix for #566541.
One of then, reported in (#667599, #667526), can be solved easily
as explained by marga at
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667599#62
and others have hinted before. The second problem is related with this one
and more complicated to solve. I haved filed the bug report #699155 for this.

About this problem, in short, if you have installed the openmpi version,
the upgrade will install you the serial implementation,  and remove
the openmpi implementation.


E.g. minimal installation of squeeze where libhdf5-openmpi-1.8.4 and 
hdf5-tools are installed:

ii  hdf5-tools                          1.8.4-patch1-2               Hierarchical Data Format 5 (HDF5) - Runtime tools                    
ii  libhdf5-openmpi-1.8.4               1.8.4-patch1-2               Hierarchical Data Format 5 (HDF5) - runtime files - OpenMPI version  

ii  libhdf5-serial-1.8.4                1.8.4-patch1-2               Hierarchical Data Format 5 (HDF5) - runtime files - serial version
ii  r-cran-hdf5                         1.6.9-2+b1                   GNU R package interfacing the NCSA HDF5 library    

If we update this system to Wheezy, you'll get:

# apt-get -u dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  console-terminus defoma libept1 libhdf5-openmpi-1.8.4 libpango1.0-common libperl5.10 portmap x-ttcidfont-conf
The following NEW packages will be installed:
 [...]
 libhdf5-7
 [...]
  hdf5-tools 
[...]
   368 upgraded, 174 newly installed, 8 to remove and 0 not upgraded.
Need to get 252 MB of archives.
After this operation, 302 MB of additional disk space will be used.
Do you want to continue [Y/n]? 

The openmpi version is upgraded with the serial version instead of being
replaced with libhdf5-openmpi-7.


In the case of dolfin-dev (#667599) in Squeeze, the package has the following 
dependency chain to hdf5 (as somebody else has analyzed already in the bug report):

dolfin-dev -> libdolfin1.0-dev -> libslepc3.0.0-dev -> libslepc3.0.0 -> libhdf5-openmpi-1.8.4 

and when upgraded, we have the reported problem.
In wheezy, libslepc3.2 depends explicitiy on the openmpi version only. 
This means if we install libslepc3.0.0 in wheezy we must switch all our system
to use the openmpi library.

For simgear-dev (#667526), the chain dependency  in Squeeze is:
simgear-dev -> simgear1.9.1 ->  libopenscenegraph65 -> libgdal1-1.6.0 -> libhdf5-serial-1.8.4 | libhdf5-1.8.4

Where libhdf5-1.8.4 could be provided by libhdf5-openmpi-1.8.4 and we have
the same problem that with dolfin-dev. Although in this case the dependency
can be satisfied both by the serial and the openmpi packages in Wheezy.
This is wrong because both libraries provided different ABIs as reported
in bug #699155




Added tag(s) patch. Request was from Andreas Beckmann <anbe@debian.org> to 667599-submit@bugs.debian.org. (Mon, 25 Feb 2013 10:48:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'hdf5: apt does not find an upgrade path from squeeze' from 'simgear-dev: fails to upgrade from squeeze - apt does not find an upgrade path' Request was from Michael Gilbert <mgilbert@debian.org> to control@bugs.debian.org. (Sun, 03 Mar 2013 10:30:05 GMT) Full text and rfc822 format available.

Added tag(s) help. Request was from Sylvestre Ledru <sylvestre@debian.org> to control@bugs.debian.org. (Sun, 17 Mar 2013 09:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Sun, 17 Mar 2013 20:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 17 Mar 2013 20:15:04 GMT) Full text and rfc822 format available.

Message #60 received at 667526@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 667526@bugs.debian.org, anbe@debian.org
Subject: re: hdf5: apt does not find an upgrade path from squeeze
Date: Sun, 17 Mar 2013 16:12:15 -0400
Is there any reason not to apply Andreas' patch to fix this now?

Best wishes,
Mike



Severity set to 'important' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 17 Mar 2013 20:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Sun, 17 Mar 2013 21:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvestre Ledru <sylvestre@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 17 Mar 2013 21:57:04 GMT) Full text and rfc822 format available.

Message #67 received at 667526@bugs.debian.org (full text, mbox):

From: Sylvestre Ledru <sylvestre@debian.org>
To: Michael Gilbert <mgilbert@debian.org>, 667526@bugs.debian.org
Cc: anbe@debian.org, release-team@lists.debian.org
Subject: Re: Bug#667526: hdf5: apt does not find an upgrade path from squeeze
Date: Sun, 17 Mar 2013 22:48:17 +0100
On 17/03/2013 21:12, Michael Gilbert wrote:
> Is there any reason not to apply Andreas' patch to fix this now?
Yes, see message #49:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667526#49

I can still apply it if the release team thinks that it is better than
the current state.

Sylvestre




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Sun, 17 Mar 2013 21:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 17 Mar 2013 21:57:07 GMT) Full text and rfc822 format available.

Message #72 received at 667526@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: Sylvestre Ledru <sylvestre@debian.org>
Cc: 667526@bugs.debian.org, anbe@debian.org, release-team@lists.debian.org
Subject: Re: Bug#667526: hdf5: apt does not find an upgrade path from squeeze
Date: Sun, 17 Mar 2013 17:54:49 -0400
On Sun, Mar 17, 2013 at 5:48 PM, Sylvestre Ledru wrote:
> On 17/03/2013 21:12, Michael Gilbert wrote:
>> Is there any reason not to apply Andreas' patch to fix this now?
> Yes, see message #49:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667526#49
>
> I can still apply it if the release team thinks that it is better than
> the current state.

Looks like a no from jcristau:
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=62;bug=667526

Best wishes,
Mike



Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Sun, 17 Mar 2013 22:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Sun, 17 Mar 2013 22:24:04 GMT) Full text and rfc822 format available.

Message #77 received at 667526@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Michael Gilbert <mgilbert@debian.org>
Cc: Sylvestre Ledru <sylvestre@debian.org>, 667526@bugs.debian.org, release-team@lists.debian.org
Subject: Re: Bug#667526: hdf5: apt does not find an upgrade path from squeeze
Date: Sun, 17 Mar 2013 23:21:40 +0100
On 2013-03-17 22:54, Michael Gilbert wrote:
> On Sun, Mar 17, 2013 at 5:48 PM, Sylvestre Ledru wrote:
>> On 17/03/2013 21:12, Michael Gilbert wrote:
>>> Is there any reason not to apply Andreas' patch to fix this now?
>> Yes, see message #49:
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667526#49
>>
>> I can still apply it if the release team thinks that it is better than
>> the current state.
> 
> Looks like a no from jcristau:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=62;bug=667526

I wouldn't take this as a "no", but as "we won't wait forever for
someone to fix this in wheezy, we can release with some upgrade paths
being broken".

Did anyone try the upgrades that fail with my patch applied how they
behave without the patch, i.e. in the current packages?

Even if we can't reach a perfect solution (I don't think it is even
possible at all with the current set of Provides), we should try to
improve the situation a bit.


Andreas



Message #78 received at 667599-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 667599-close@bugs.debian.org
Subject: Bug#667599: fixed in hdf5 1.8.8-9.1
Date: Mon, 18 Mar 2013 16:03:37 +0000
Source: hdf5
Source-Version: 1.8.8-9.1

We believe that the bug you reported is fixed in the latest version of
hdf5, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated hdf5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 25 Feb 2013 11:26:57 +0100
Source: hdf5
Binary: libhdf5-7 libhdf5-7-dbg libhdf5-dev libhdf5-serial-dev libhdf5-openmpi-7 libhdf5-openmpi-dev libhdf5-openmpi-7-dbg libhdf5-mpich2-7 libhdf5-mpich2-dev libhdf5-mpich2-7-dbg libhdf5-mpi-dev libhdf5-doc hdf5-helpers hdf5-tools
Architecture: source all amd64
Version: 1.8.8-9.1
Distribution: unstable
Urgency: low
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 hdf5-helpers - Hierarchical Data Format 5 (HDF5) - Helper tools
 hdf5-tools - Hierarchical Data Format 5 (HDF5) - Runtime tools
 libhdf5-7  - Hierarchical Data Format 5 (HDF5) - runtime files - serial versio
 libhdf5-7-dbg - Hierarchical Data Format 5 (HDF5) - Debug package
 libhdf5-dev - Hierarchical Data Format 5 (HDF5) - development files - serial ve
 libhdf5-doc - Hierarchical Data Format 5 (HDF5) - Documentation
 libhdf5-mpi-dev - Hierarchical Data Format 5 (HDF5) - development files - MPICH2 ve
 libhdf5-mpich2-7 - Hierarchical Data Format 5 (HDF5) - runtime files - MPICH2 versio
 libhdf5-mpich2-7-dbg - Hierarchical Data Format 5 (HDF5) - Mpich2 Debug package
 libhdf5-mpich2-dev - Hierarchical Data Format 5 (HDF5) - development files - MPICH2 ve
 libhdf5-openmpi-7 - Hierarchical Data Format 5 (HDF5) - runtime files - OpenMPI versi
 libhdf5-openmpi-7-dbg - Hierarchical Data Format 5 (HDF5) - OpenMPI Debug package
 libhdf5-openmpi-dev - Hierarchical Data Format 5 (HDF5) - development files - OpenMPI v
 libhdf5-serial-dev - Hierarchical Data Format 5 (HDF5) - development files - transitio
Closes: 667599
Changes: 
 hdf5 (1.8.8-9.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove unneded Conflicts/Replaces/Provides to help apt finding a proper
     upgrade path. Suggested by Margarita Manterola.  (Closes: #667599)
     - Drop Conflicts/Provides: libhdf5-@MAJOR_VERSION@.
     - Drop Conflicts/Replaces: libhdf5-1.8.4, libhdf5-*-1.8.4. The library
       packages from squeeze are co-installable without file conflicts.
   * libhdf5{,-mpich2,-openmpi}-7: Add Breaks: libnetcdf6 (<< 1:4.1.1-7~) to
     ease upgrades from squeeze. Apt (the squeeze version) may assign
     priorities that cause a precedence of libhdf5-7 > libnetcdf6 > libnetcdfc7
     resulting in netcdf not being upgraded in some upgrade paths.
   * libhdf5{,-mpich2,-openmpi}-dev: Add unversioned Conflicts: libjpeg62-dev
     to "fix" the libjpeg-dev transition on some upgrade paths by preventing
     apt from holding back libjpeg62-dev/squeeze (to satisfy Depends:
     libjpeg-dev) instead of installing libjpeg8-dev/wheezy and removing
     libjpeg62-dev. Versioned Breaks/Conflicts did not achieve this, causing
     the hdf5 stack not being upgraded in some cases.
Checksums-Sha1: 
 373c038945cd6f2f38651b5506d7d2461adc89ec 2486 hdf5_1.8.8-9.1.dsc
 1a011d89582557a7db8c77ff368a68cf1189e85f 92568 hdf5_1.8.8-9.1.debian.tar.gz
 4968ca7e32aa8fc1bb868251ec140cf4af15e14c 23819670 libhdf5-doc_1.8.8-9.1_all.deb
 df381c9577ea99f70e438c1cf4fd32bb29f60f22 1432480 libhdf5-7_1.8.8-9.1_amd64.deb
 c6b1896c22d042d630246458947f511bf9a123f3 126578 libhdf5-7-dbg_1.8.8-9.1_amd64.deb
 5fd8ce47fb8cfe5344a8b369298d92a0dc16bda6 2508052 libhdf5-dev_1.8.8-9.1_amd64.deb
 b901e73bda6124e1f4d53f45871c2149391fc6a4 24716 libhdf5-serial-dev_1.8.8-9.1_amd64.deb
 60f6d911d2d26e33da8c1f3358f2f3ed04975126 1463628 libhdf5-openmpi-7_1.8.8-9.1_amd64.deb
 e60f0f5323c97f879fd85bd327a01901fb3f7ccf 2570022 libhdf5-openmpi-dev_1.8.8-9.1_amd64.deb
 7cc5611ba04a5fddd6a46d5aecac73c2680cae9c 128944 libhdf5-openmpi-7-dbg_1.8.8-9.1_amd64.deb
 898811c7167a39b4ca3508e5a4d2267d4c9bd3fb 1462904 libhdf5-mpich2-7_1.8.8-9.1_amd64.deb
 7fae659415527910137616f586d9dcdfcbeba5f1 2569634 libhdf5-mpich2-dev_1.8.8-9.1_amd64.deb
 f5045dba3bf977ee740b15de3b43edc881106587 129000 libhdf5-mpich2-7-dbg_1.8.8-9.1_amd64.deb
 84ebea4716096f593ef4d1fe1e391829e5153723 24736 libhdf5-mpi-dev_1.8.8-9.1_amd64.deb
 a00bffa373cc366bbf91cfd44cfd2ae6ee240bef 33138 hdf5-helpers_1.8.8-9.1_amd64.deb
 fba6e18e462369392ff81e35b57e68ff2c0336a6 661582 hdf5-tools_1.8.8-9.1_amd64.deb
Checksums-Sha256: 
 9a1ba59cbf4061003d1a91201d6034666113e7e4201b6fab364f228f8454ec98 2486 hdf5_1.8.8-9.1.dsc
 4f68fb2d9244ceb5d4085daa0d8bcc5553fef5c2d429f9c4bd628f04aa23c328 92568 hdf5_1.8.8-9.1.debian.tar.gz
 9e372adbe3761de06770b2bb4e75f4934e4d3ef1157d3708188d3ef2daf37550 23819670 libhdf5-doc_1.8.8-9.1_all.deb
 4a1bacf379af144a287055e2e5beba23d99515cc96f0d081011cc3c1883b4a6a 1432480 libhdf5-7_1.8.8-9.1_amd64.deb
 7eada4dbe203ef05d70cad67c7011111f4f71e7e79d554986a87b8817fc689fa 126578 libhdf5-7-dbg_1.8.8-9.1_amd64.deb
 515ec220ad1cdac90550310d22d5197b6597043ff0364e0b5aebd5cef3019f57 2508052 libhdf5-dev_1.8.8-9.1_amd64.deb
 26a4f018d7784f82768c5fbc9679b112e6799c94ceb67bf11869b3de57249593 24716 libhdf5-serial-dev_1.8.8-9.1_amd64.deb
 a3e533a066b238a46c162ea02be1af172a1fb818fd48df774203ebc2a19b2217 1463628 libhdf5-openmpi-7_1.8.8-9.1_amd64.deb
 51bd0c837d8f9bb9218dbeb207e94db7913f7a8637e919bdd3db2cbd85c788d8 2570022 libhdf5-openmpi-dev_1.8.8-9.1_amd64.deb
 ff1efa92f4c07cd5704ee402004699328c110e57282ff4f55ced4a599f88af9f 128944 libhdf5-openmpi-7-dbg_1.8.8-9.1_amd64.deb
 6f6695114122af0808797f7ee658e17ea7caa4eb3ccb54c6a26a52dbdb93a878 1462904 libhdf5-mpich2-7_1.8.8-9.1_amd64.deb
 bfd570787efc2dc83716a0f38398f0d43a22b8ddf5acf4a5c36b4f0bad815fbd 2569634 libhdf5-mpich2-dev_1.8.8-9.1_amd64.deb
 417a6ec1a418bc0893bc549929ac0f98843435fad07d6e30c98ab8d8b644c219 129000 libhdf5-mpich2-7-dbg_1.8.8-9.1_amd64.deb
 139e772d21e5e71bf50febf767f3f7a1877eea82f5cd327a4bfeaace23c6273e 24736 libhdf5-mpi-dev_1.8.8-9.1_amd64.deb
 7ea9f366a3fff322d95b438ea15e4b4715408c0575e1ce5840a5303ef2060839 33138 hdf5-helpers_1.8.8-9.1_amd64.deb
 816a6422022ea46a0bf44ba51899c6ef2bef47b32d67bb092e63b5765ee7ce14 661582 hdf5-tools_1.8.8-9.1_amd64.deb
Files: 
 dc26971454f39145614db22e8b57cac3 2486 science optional hdf5_1.8.8-9.1.dsc
 ddfff685b2189e7584c0b18baa0a933f 92568 science optional hdf5_1.8.8-9.1.debian.tar.gz
 199b53f8d1f24a9502374d50f7edac6f 23819670 doc optional libhdf5-doc_1.8.8-9.1_all.deb
 beb09f2f7e78fbd31a8c69211391dc30 1432480 libs optional libhdf5-7_1.8.8-9.1_amd64.deb
 b0dd57ef6223d60cb51fbb3b6056a932 126578 debug extra libhdf5-7-dbg_1.8.8-9.1_amd64.deb
 6eadd6187c7e5d51f7dadf8e454f22fa 2508052 libdevel optional libhdf5-dev_1.8.8-9.1_amd64.deb
 9d53bab898746a28e4051d2386253fad 24716 libdevel optional libhdf5-serial-dev_1.8.8-9.1_amd64.deb
 1eca7624588337259d9f8ec8dc46c22d 1463628 libs extra libhdf5-openmpi-7_1.8.8-9.1_amd64.deb
 13761635fc1e9613f256583e5b5820af 2570022 libdevel extra libhdf5-openmpi-dev_1.8.8-9.1_amd64.deb
 6dfb6cce23bf846005858ef104c435a6 128944 debug extra libhdf5-openmpi-7-dbg_1.8.8-9.1_amd64.deb
 f794fd541206dbe000f8cf2c710ede0f 1462904 libs extra libhdf5-mpich2-7_1.8.8-9.1_amd64.deb
 db34bb4253353f33e9c2e97e92c7ee93 2569634 libdevel extra libhdf5-mpich2-dev_1.8.8-9.1_amd64.deb
 88f570c6d5965b3119f16754e5bfb624 129000 debug extra libhdf5-mpich2-7-dbg_1.8.8-9.1_amd64.deb
 7cbefbd403cfc62433f89bf7e8482003 24736 libdevel extra libhdf5-mpi-dev_1.8.8-9.1_amd64.deb
 a18573c3e83d0bef33152f368d9e3850 33138 science optional hdf5-helpers_1.8.8-9.1_amd64.deb
 db59194c0519594acb02d9dfac54a3f6 661582 science optional hdf5-tools_1.8.8-9.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlFHN7oACgkQiOXXM92JlhAsSgCgxQTfc4ABP0eaHQuoTeluKwuw
xg4AoLKyLFGYYEkTLCOw48WICDhbBF+D
=bEPT
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>:
Bug#667526; Package src:hdf5. (Mon, 18 Mar 2013 19:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>. (Mon, 18 Mar 2013 19:03:04 GMT) Full text and rfc822 format available.

Message #83 received at 667526@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andreas Beckmann <anbe@debian.org>, 667526@bugs.debian.org
Cc: Michael Gilbert <mgilbert@debian.org>, Sylvestre Ledru <sylvestre@debian.org>, release-team@lists.debian.org
Subject: Re: Bug#667526: hdf5: apt does not find an upgrade path from squeeze
Date: Mon, 18 Mar 2013 19:58:29 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar 17, 2013 at 23:21:40 +0100, Andreas Beckmann wrote:

> On 2013-03-17 22:54, Michael Gilbert wrote:
> > On Sun, Mar 17, 2013 at 5:48 PM, Sylvestre Ledru wrote:
> >> On 17/03/2013 21:12, Michael Gilbert wrote:
> >>> Is there any reason not to apply Andreas' patch to fix this now?
> >> Yes, see message #49:
> >> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=667526#49
> >>
> >> I can still apply it if the release team thinks that it is better than
> >> the current state.
> > 
> > Looks like a no from jcristau:
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=62;bug=667526
> 
> I wouldn't take this as a "no", but as "we won't wait forever for
> someone to fix this in wheezy, we can release with some upgrade paths
> being broken".
> 
That would have been wheezy-ignore.  I downgraded it instead because I
don't see a justification for a higher severity.

> Did anyone try the upgrades that fail with my patch applied how they
> behave without the patch, i.e. in the current packages?
> 
> Even if we can't reach a perfect solution (I don't think it is even
> possible at all with the current set of Provides), we should try to
> improve the situation a bit.
> 
Even if some upgrade cases will be fixed by this patch, we don't know
(and won't until it's too late) about the ones that currently work and
will stop working with the patch...

I don't think we should be changing package relationships right now when
they're merely suboptimal, as opposed to causing actual breakage.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 08:00:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:02:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.